Bug 1468324 - putty crash when middle mouse pressed over connected window
Summary: putty crash when middle mouse pressed over connected window
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: putty
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-06 17:11 UTC by Ali Akcaagac
Modified: 2017-07-26 17:16 UTC (History)
3 users (show)

Fixed In Version: putty-0.70-1.fc26 putty-0.70-1.fc25 putty-0.70-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-19 16:21:47 UTC
Type: Bug


Attachments (Terms of Use)
coredump-putty.txt (24.65 KB, text/plain)
2017-07-06 17:11 UTC, Ali Akcaagac
no flags Details

Description Ali Akcaagac 2017-07-06 17:11:50 UTC
Created attachment 1294997 [details]
coredump-putty.txt

Description of problem:

I've been receiving reproducable crashes with putty after connecting to some ssh server.

Once connected you can do normal operations inside the window like entering commands etc... Then I wanted to use the middle mouse (scrollwheel) to scroll the window up and down to review some longer output.

The window turns "white" instantly and never recovers. Clicking around inside there will cause putty to crash afterwards.


Version-Release number of selected component (if applicable):

-bash-4.4$ rpm -q putty
putty-0.69-1.fc26.x86_64
-bash-4.4$ 


How reproducible:
See above or below :)


Steps to Reproduce:
1. Connect to a remote ssh server
2. Press middle mouse within the window or use the mousewheel to scroll up or down.
3. Screen turns white and if you continue some mouse presses you end up in a crash.


Actual results:
Crashes!


Expected results:
Definately no crashes and proper redrawing of the window. Mouse wheel should be able to scroll up and down.

Additional info:
Please find attached a full bt will debuginfo enabled!

Comment 2 Ali Akcaagac 2017-07-08 20:38:17 UTC
putty 0.70 released which should cover and fix this issue...

Please provide an updated package...

Comment 3 Jaroslav Škarvada 2017-07-10 14:42:03 UTC
Thanks for info.

Comment 4 Fedora Update System 2017-07-10 16:17:32 UTC
putty-0.70-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1532198bcc

Comment 5 Fedora Update System 2017-07-10 16:40:29 UTC
putty-0.70-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-efdd962fee

Comment 6 Fedora Update System 2017-07-10 16:48:10 UTC
putty-0.70-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-63ab34560a

Comment 7 Fedora Update System 2017-07-12 03:46:24 UTC
putty-0.70-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-63ab34560a

Comment 8 Fedora Update System 2017-07-12 05:28:40 UTC
putty-0.70-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-efdd962fee

Comment 9 Fedora Update System 2017-07-12 08:37:14 UTC
putty-0.70-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1532198bcc

Comment 10 Fedora Update System 2017-07-19 16:21:47 UTC
putty-0.70-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-07-19 20:23:17 UTC
putty-0.70-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-07-26 17:16:52 UTC
putty-0.70-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.